// 基于 APP/src/locale/lang/en-US.ts.ftl 生成
import getCustomLocaleResource from '../custom/custom_en_US';
import getBaseLocaleResource from './en-US-base';
function getLocaleResource(){
    const data:any = {
        app: {
            commonWords:{
                error: "Error",
                success: "Success",
                ok: "OK",
                cancel: "Cancel",
                save: "Save",
                codeNotExist: 'Code list does not exist',
                reqException: "Request exception",
                sysException: "System abnormality",
                warning: "Warning",
                wrong: "Error",
                rulesException: "Abnormal value check rule",
                saveSuccess: "Saved successfully",
                saveFailed: "Save failed",
                createFailed: 'Create Failed',
                deleteSuccess: "Successfully deleted!",
                deleteError: "Failed to delete",
                delDataFail: "Failed to delete data",
                noData: "No data",
                startsuccess:"Start successful",
                loadmore:"Load more",
                nomore:"No more",
                other:"other",
                isExist: 'is exist',
                valueNotEmpty:"The value cannot be null",
            },
            local:{
                new: "New",
                add: "Add",
            },
            grid: {
                exportexcel: {
                    error: 'Export Failed'
                }
            },
            gridpage: {
                choicecolumns: "Choice columns",
                refresh: "refresh",
                show: "Show",
                records: "records",
                totle: "totle",
                valueVail: "Value cannot be empty",
                group:"Group",
                other:"Other",
                notConfig: {
                    fetchAction: "The view table fetchaction parameter is not configured",
                    removeAction: "The view table removeaction parameter is not configured",
                    createAction: "The view table createaction parameter is not configured",
                    updateAction: "The view table updateaction parameter is not configured",
                    loaddraftAction: "The view table loadtrafaction parameter is not configured",
                },
                data: "Data",
                delDataFail: "Failed to delete data",
                delSuccess: "Delete successfully!",
                confirmDel: "Are you sure you want to delete",
                notRecoverable: "delete will not be recoverable?",
                notBatch: "Batch addition not implemented",
                grid: "Grid",
                exportFail: "Data export failed",
                sum: "Total",
                formitemFailed: "Form item update failed",
            },
            list: {
                notConfig: {
                    fetchAction: "View list fetchAction parameter is not configured",
                    removeAction: "View table removeAction parameter is not configured",
                    createAction: "View list createAction parameter is not configured",
                    updateAction: "View list updateAction parameter is not configured",
                },
                confirmDel: "Are you sure you want to delete",
                notRecoverable: "delete will not be recoverable?",
            },
            listExpBar: {
                title: "List navigation bar",
            },
            wfExpBar: {
                title: "Process navigation bar",
            },
            calendarExpBar:{
                title: "Calendar navigation bar",
            },
            treeExpBar: {
                title: "Tree view navigation bar",
            },
            portlet: {
                noExtensions: "No extensions",
            },
            tabpage: {
                sureclosetip: {
                    title: "Close warning",
                    content: "Form data Changed, are sure close?",
                },
                closeall: "Close all",
                closeother: "Close other",
            },
            fileUpload: {
                caption: "Upload",
            },
            searchButton: {
                search: "Search",
                reset: "Reset",
            },
            calendar:{
                today: "today",
                month: "month",
                week: "week",
                day: "day",
                list: "list",
                dateSelectModalTitle: "select the time you wanted",
                gotoDate: "goto",
                from: "From",
                to: "To",
            },
            utilview:{
                importview:"Import Data",
                warning:"warning",
                info:"Please configure the data import item",
                nodatakey:"No data primary key",
                printerror:"Printing failed",
                noprint:"No print items"
            },
            formpage:{
                error: "Error",
                desc1: "Operation failed, failed to find current form item",
                desc2: "Can't continue",
                notconfig: {
                    loadaction: "View form loadAction parameter is not configured",
                    loaddraftaction: "View form loaddraftAction parameter is not configured",
                    actionname: "View form actionName parameter is not configured",
                    removeaction: "View form removeAction parameter is not configured",
                },
                saveerror: "Error saving data",
                savecontent: "The data is inconsistent. The background data may have been modified. Do you want to reload the data?",
                valuecheckex: "Value rule check exception",
                savesuccess: "Saved successfully!",
                deletesuccess: "Successfully deleted!",  
                workflow: {
                    starterror: "Workflow started successfully",
                    startsuccess: "Workflow failed to start",
                    submiterror: "Workflow submission failed",
                    submitsuccess: "Workflow submitted successfully",
                },
                updateerror: "Form item update failed",       
            },
            gridBar: {
                title: "Table navigation bar",
            },
            multiEditView: {
                notConfig: {
                    fetchAction: "View multi-edit view panel fetchAction parameter is not configured",
                    loaddraftAction: "View multi-edit view panel loaddraftAction parameter is not configured",
                },
            },
            dataViewExpBar: {
                title: "Card view navigation bar",
            },
            kanban: {
                notConfig: {
                    fetchAction: "View list fetchAction parameter is not configured",
                    removeAction: "View table removeAction parameter is not configured",
                },
                delete1: "Confirm to delete ",
                delete2: "the delete operation will be unrecoverable!",
                fold: "fold",
                unfold: "upfold",
            },
            dashBoard: {
                handleClick: {
                    title: "Panel design",
                },
            },
            dataView: {
                sum: "total",
                data: "data",
            },
            chart: {
                undefined: "Undefined",
                quarter: "Quarter",   
                year: "Year",
            },
            searchForm: {
                notConfig: {
                    loadAction: "View search form loadAction parameter is not configured",
                    loaddraftAction: "View search form loaddraftAction parameter is not configured",
                },
                custom: "Store custom queries",
                title: "Name",
            },
            wizardPanel: {
                back: "Back",
                next: "Next",
                complete: "Complete",
                preactionmessage:"The calculation of the previous behavior is not configured"
            },
            viewLayoutPanel: {
                appLogoutView: {
                    prompt1: "Dear customer, you have successfully exited the system, after",
                    prompt2: "seconds, we will jump to the",
                    logingPage: "login page",
                },
                appWfstepTraceView: {
                    title: "Application process processing record view",
                },
                appWfstepDataView: {
                    title: "Application process tracking view",
                },
                appLoginView: {
                    username: "Username",
                    password: "Password",
                    login: "Login",
                },
            },
        },
        components: {
            "404": {
                errorText1: 'sorry，the page you visited is not exist！',
                errorText2: 'The page you visited is not exist，please return to',
                indexPage: 'home page',
                continue: 'to continue browsing',
            },
            "500": {
                errorText1: "sorry，there's something wrong with the server！",
                errorText2: "There's something wrong with the server，please return to",
                indexPage: 'home page',
                continue: 'to continue browsing',
            },
            appOrgSector:{
                successSwitch:'The switch was successful',
                errorSwitch:'The switchover failed',
            },
            appAutocomplete: {
                error: 'Error',
                miss: 'Missing parameter ',
                requestException: 'Request Exception！',
            },
            appBuild: {
                custom: 'Customize',
            },
            appCheckBox: {
                notExist: 'codelist is not existed',
            },
            appColumnLink: {
                error: 'error',
                valueItemException:"value item exception",
                rowDataException:"table row data exception",
            },
            appColumnRender: {
                select: 'please select...',
                unsupported: 'unsupported',
            },
            appDashboardDesign: {
                global: 'Global',
            },
            appDataUploadView: {
                "selectfile":"Click this area to upload",
                "uploadserver":"Upload Server",
                "datatemplate":"Import Data Template",
                "datatemplatemessage":"Download the Import Data Template, According to the specification required to fill in",
                "read":" read Successful",
                "completed":"Import Completed",
                "confirm":"OK",
                "cancel":"Cancel",
                "importfailed":"Import Failed",
                "selectfilesucess":"File selected successfully",
                "importresult":"Import Result",
                "totaldata": "Total Imported Data",
                "total": "Count",
                "errorinfo": "Error Message",
                "start": "Line",
                "row": "",
                "downloadinfo": "Download The Feedback",
                "downloaderror": "Failed To Download File"
            },
            appDebugActions: {
                button: 'Open Configuration Mode',
            },
            appExportExcel: {
                total: 'All',
                max: 'At Most',
                row: 'Lines',
                currentPage: 'Current Page',
                desc:'Please enter the start page',
                desc1:'Please enter a valid start page',
            },
            appFileUpload: {
                preview: 'preview',
                uploadText: 'Drag files here，or <em>Click</em> to upload',
                fileTypeErrorTitle: 'File type incorrect',
                fileTypeErrorInfo: 'Please select files with picture types，such as JPEG，GIF，PNG，BMP',
                limitselect: 'The current number of restricted choices is ',
            },
            appFormDRUIPart: {
                blockUITipInfo: 'Please save the major data first',
                viewLoadComp:'After the multi data view is loaded, the subsequent form item update will be triggered',
                save:'Relationship data save complete',
                change:'Relationship data value change',
                change1:'View data changes',
                loadComp:'View loading complete',
            },
            appHeaderMenus: {
                ibizlab:{
                    title: 'iBizLab',
                },
                publishProject:{
                    title: 'Publish Project',
                },
                ibizstudio:{
                    title: 'Model Design Tools',
                },
                ibizbbs:{
                    title: 'iBizBBS',
                },
            },
            appMpicker: {
                error: 'Error',
                miss: 'Missing parameter ',
                requestException: 'Request Exception！',
            },
            appPicker: {
                error: 'Error',
                miss: 'Missing parameter ',
                requestException: 'Request Exception！',
                newAndEdit: 'Create And Edit...',
                systemException: 'System Error！',
                valueitemException: 'valueitem Error！',
                formdataException: 'formdata Error！',
            },
            appPickerSelectView: {
                error: 'Error',
                valueitemException: 'valueitem Error！',
                formdataException: 'formdata Error！',
                placeholder: 'Please select...',
            },
            appPortalDesign: {
                customPortal: 'Custom portal',
                save: 'Save',
            },
            appRangDate: {
                placeholder: 'Please select time...',
                from: 'from',
                daystart: '00:00:00 to',
                dayend: '24:00:00',
            },
            appRangeEditor: {
                placeholder: 'Please select time...',
                input: 'Please input...',
            },
            appStudioAction: {
                configTitle: 'Enter the configuration of current view',
                configButton: 'Configuration',
                issueTitle: 'Create issues of current view',
                issueButton: 'Create issues',
            },
            appTreePicker: {
                placeholder: 'please select...',
            },
            dateRange: {
                startText: 'Insurance period ： From',
                endText: '24:00:00',
                startPlaceholder: 'Begin Date',
                rangeSeparatorr: ' 00:00:00 To',
                endPlaceholder: 'End Dat4e',
            },
            dropDownList: {
                placeholder: 'please select...',
            },
            dropDownListDynamic: {
                placeholder: 'please select...',
            },
            dropDownListMpicker: {
                placeholder: 'please select...',
            },
            login: {
                error: 'Error',
                caption: 'Welcome to login',
                placeholder1:'User name',
                placeholder2:'Password',
                name: 'Login',
                reset:'Reset',
                register: 'Register',
                logout: 'Logout',
                other:'Other login methods',
                tip: 'Enter username and password',
                warning1:'QQ authorization login not supported',
                warning2:'Wechat authorized login not supported',
                loginname: {
                    placeholder: 'Username',
                    message: 'The username cannot be empty',
                },
                password: {
                    placeholder: 'Password',
                    message: 'The password cannot be empty',
                },
                loginfailed: 'Login failed',
                authfailed: 'Authentication failed',
                phoneplaceholder: 'Please enter your mobile phone number',
                phonefailed: 'The phone number is incorrect',
                codeplaceholder: 'Please enter the verification code',
                getcode: 'Get verification code',
                getcodeafter: 'Get verification code after',
                entervercode: 'Please enter the verification code',
            },
            appUser: {
                name: 'System',
                logout: 'Logout',
                surelogout: 'Are you sure logout?',
                changepwd: "Change Password",
            },
            appTheme: {
                caption: {
                theme: 'Theme',
                font: 'Font family',
                },
                fontFamilys: {
                    MicrosoftYaHei: 'Microsoft YaHei',
                    SimHei: 'SimHei',
                    YouYuan: 'YouYuan',
                },
            },
            appFormGroup: {
                hide: 'hide',
                showMore: 'show more',
            },
            appUpdatePassword: {
                oldPwd: 'Original password',
                newPwd: 'New password',
                confirmPwd: 'Confirm password',
                sure: 'Confirm modification',
                oldPwdErr: 'The original password cannot be empty!',
                newPwdErr: 'New password cannot be empty!',
                confirmPwdErr: 'The two input passwords are inconsistent!',
            },
            appAddressSelection: {
                loadDataFail: 'City data loading failed'
            },
            appGroupSelect:{
                groupSelect:'Group selection', 
            },
            appImageUpload:{
                uploadFail:'Upload failed',
                limitselect: 'The current number of restricted choices is ',
            },
            appOrgSelect:{
                loadFail:'Failed to load data'
            },
            appTransfer:{
                title1:'Not selected',
                title2:'Selected',
            },
            appWFApproval:{
                commit:'Commit',
                wait:'Waiting',
                handle:'Handle',
                placeholder:'Please enter the content',
                end:'End'
            },
            contextMenuDrag:{
                allApp:'All applications',
                noFind:'The app was not found'
            },
            filterMode:{
                placeholder:'Conditional logic',  
            },
            filterTree:{
                title1:'Add condition',
                title2:'Add group',
                placeholder:'Attribute', 
            },
            iBizGroupPicker:{
                ok:'Ok',
                cancel:'Cancel',
            },
            iBizGroupSelect:{
                groupSelect:'Group selection'
            },
            tabPageExp:{
                more:'More',
            },
            uploadFile:{
                imgMsg:'Drag the picture here to replace it',
                localUpload:'Local upload',
                or:'Or',
                imgMsg1:'Select from stock'
            },
            lockScren:{
                title:'Set the password lock screen',
                label:'password',
                message:'The lock screen password cannot be empty',
                placeholder:'Please enter the lock screen password',
                placeholder1:'Please enter your login password',
                message1: 'The unlock password is wrong. Please reenter it',
                promptInformation:'Do you want to quit the system? Do you want to continue?',
                prompt:'prompt',
                confirmButtonText:'determine',
                cancelButtonText:'cancel',
            },
            cronEditor: {
                label: {
                second: 'Second',
                minute: 'Minute',
                hour: 'Hour',
                day: 'Day',
                week: 'Week',
                month: 'Month',
                year: 'Year',
                },
                public : {
                specify: 'Specify',
                notSpecify: 'Not specify',
                cycle: 'Cycle',
                from: 'From',
                to: 'to',
                loop: 'Loop',
                every: 'Every',
                once: 'execute once',
                },
                second: 'second',
                minute: 'minute',
                hour: {
                title: 'hour',
                everyHour: 'Every hour',
                hourStart: "o'clock start, every ",
                onceAHour: "o'clock to execute once.",
                },
                day: {
                title: 'day',
                daily: 'Every day',
                workDay: 'Working day',
                dayStart: 'rd start, every ',
                onceADay: 'rd to execute once',
                thisMonth: 'this month',
                lastWorkDay: 'rd, Recent working day',
                lastDayOfMonth: 'Last day of the month',
                },
                month: {
                title: 'month',
                everyMonth: 'Every month',
                monthStart: ' month start, every',
                onceAMonth: ' month to execute once',
                },
                week: {
                title: 'week',
                everyWeek: 'Every week',
                from: '',
                to: 'from weekday',
                start: 'start, every',
                onceADay: 'days to execute once',
                specifyWeek: 'Specify week',
                weekOfMonth: 'this month',
                weekWeek: 'week, weekday',
                lastOfMonth: 'Last of the month',
                week: 'weekday',
                },
                year: {
                title: 'year',
                everyYear: 'Every year',
                },
                message: {
                error1: 'Date and day of the week cannot be "not specified" at the same time',
                error2: 'Both the date and the day of the week must be "not specified"',
                },
            },
            appMessagePopover: {
                loadMore: 'Load more',
                noMore: 'No more'
            },
            appmessagebox: {
                ok: "OK",
                cancel: "Cancel"
            },
            diskFileUpload:{
                fileDrag: 'Drag the file here, or',
                clickUpload: 'Click on the upload',
                load: 'Load',
                preview: 'preview',
                edit: 'Edit',
                delete: 'Delete',
                clues: 'Individual file sizes do not exceed',
                clues1: 'Documents not exceeding',
                getFileFailure: 'Failed to get file list',
                loadFailure: 'Upload file failed',
                loadFailure1: 'Upload failed, individual file cannot exceed',
                downloadFile: 'Download file failed',
                downloadFile1: 'Download file failed, not get file!',
                deleteFile: 'This action will permanently delete the file. Do you want to continue?',
                deleteFilePrompt: 'Prompt',
                true: 'True',
                false: 'False',
                deleteFileFailure: 'File deletion failed',
                updateFailure: 'Batch update file failed',
            },
            diskImageUpload:{
                preview: 'Preview',
                OCRdiscern: 'OCRdiscern',
                load: 'Load',
                delete: 'Delete',
                getImageFailure: 'Failed to get list of images',
                loadImageFailure: 'Failed to download thumbnails',
                loadImageFailure1: 'Failed to download thumbnail, failed to get file!',
                loadImageFailure2:'Download image failed',
                loadImageFailure3:'Download picture failed, no picture found!',
                ImageIdNone: 'Picture ID does not exist!',
                uploadImageFailure: 'Failed to upload image',
                uploadImageFailure1: "Upload failed, only support 'GIF, JPG, PNG, BMP' format images!",
                uploadFailure: 'Upload failed, individual image must not exceed',
                notImageUrl: 'The image URL does not exist',
                deleteFile: 'This action will permanently delete the file. Do you want to continue?',
                deleteFilePrompt: 'Prompt',
                true: 'True',
                false: 'False',
                deleteImageFailure:'Image deletion failed',
                updateFailure: 'Batch update file failed',
            },
            appMapPosition: {
                submit: 'Submit',
                title: 'Please select address'
            },
            appSortBar: {
                title: 'Sort'
            },
            appAfterTime:{
                minutesAgo: 'minutes ago',
                hoursAgo: 'hours ago',
                dayAgo: 'days ago',
                monthsAgo: 'months ago',
                yearsAgo: 'years ago'
            },
            timeline: {
                index: "serial",
                node: "node",
                author: "accepting officer",
                type: "operation",
                lasttime: "completion time",
                opinion: "approval opinion",
                inhand: "inhand:",
            },
        },
        custom: getCustomLocaleResource(),
        ...getBaseLocaleResource()
    };
    return data;
}

export default getLocaleResource;